package com.op.wms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;

/**
 * 物料分组对象 base_product_groups_t
 * 
 * @author Open Platform
 * @date 2023-07-18
 */
public class BaseProductGroupsT extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 产品分组主键 */
	private String pgId;

	/** 产品分组编码 */
	@Excel(name = "产品分组编码")
	private String pgCode;

	/** 产品分组简称 */
	@Excel(name = "产品分组简称")
	private String pgDesc;

	/** 产品分组通用名称 */
	@Excel(name = "产品分组通用名称")
	private String pgDescGlobal;

	/** 产品分组扩展名称 */
	@Excel(name = "产品分组扩展名称")
	private String pgDescExtended;

	/** 可用标识 */
	@Excel(name = "可用标识")
	private String Active;

	/** 企业主键 */
	@Excel(name = "企业主键")
	private String enterpriseId;

	/** 企业编码 */
	@Excel(name = "企业编码")
	private String enterpriseCode;

	/** 工厂主键 */
	@Excel(name = "工厂主键")
	private String siteId;

	/** 工厂编码 */
	@Excel(name = "工厂编码")
	private String siteCode;

	public void setPgId(String pgId) {
		this.pgId = pgId;
	}

	public String getPgId() {
		return pgId;
	}
	public void setPgCode(String pgCode) {
		this.pgCode = pgCode;
	}

	public String getPgCode() {
		return pgCode;
	}
	public void setPgDesc(String pgDesc) {
		this.pgDesc = pgDesc;
	}

	public String getPgDesc() {
		return pgDesc;
	}
	public void setPgDescGlobal(String pgDescGlobal) {
		this.pgDescGlobal = pgDescGlobal;
	}

	public String getPgDescGlobal() {
		return pgDescGlobal;
	}
	public void setPgDescExtended(String pgDescExtended) {
		this.pgDescExtended = pgDescExtended;
	}

	public String getPgDescExtended() {
		return pgDescExtended;
	}
	public void setActive(String Active) {
		this.Active = Active;
	}

	public String getActive() {
		return Active;
	}
	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}
	public void setEnterpriseCode(String enterpriseCode) {
		this.enterpriseCode = enterpriseCode;
	}

	public String getEnterpriseCode() {
		return enterpriseCode;
	}
	public void setSiteId(String siteId) {
		this.siteId = siteId;
	}

	public String getSiteId() {
		return siteId;
	}
	public void setSiteCode(String siteCode) {
		this.siteCode = siteCode;
	}

	public String getSiteCode() {
		return siteCode;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("pgId", getPgId())
			.append("pgCode", getPgCode())
			.append("pgDesc", getPgDesc())
			.append("pgDescGlobal", getPgDescGlobal())
			.append("pgDescExtended", getPgDescExtended())
			.append("createBy", getCreateBy())
			.append("createTime", getCreateTime())
			.append("updateBy", getUpdateBy())
			.append("updateTime", getUpdateTime())
			.append("Active", getActive())
			.append("enterpriseId", getEnterpriseId())
			.append("enterpriseCode", getEnterpriseCode())
			.append("siteId", getSiteId())
			.append("siteCode", getSiteCode())
			.toString();
	}
}
